Loading...
Searching...
No Matches
Opm::GIE::Face< GI > Class Template Reference

## Public Types

enum | { BoundaryMarkerIndex = -999 , LocalEndIndex = INT_MAX }
typedef GI::DuneIntersectionIterator | DuneIntersectionIter
typedef GI::GridType::Traits::template Codim< 0 >::Entity | CellPtr
typedef GI::GridType::ctype | Scalar
typedef Dune::FieldVector< Scalar, GI::GridType::dimension > | Vector
typedef Dune::FieldVector< Scalar, GI::GridType::dimension-1 > | LocalVector
typedef int | Index
typedef GIE::Cell< GI, CellPtr > | Cell

## Public Member Functions

| Face (const GI &grid, const DuneIntersectionIter &it, const Index loc_ind)
Scalar | area () const
Vector | centroid () const
Vector | normal () const
bool | boundary () const
int | boundaryId () const
Cell | cell () const
Index | cellIndex () const
Cell | neighbourCell () const
Index | neighbourCellIndex () const
Index | index () const
Index | localIndex () const
Scalar | neighbourCellVolume () const

## Protected Attributes

const GI * | pgrid_
DuneIntersectionIter | iter_
Index | local_index_

## Member Function Documentation

## area()

template<class GI>

Scalar Opm::GIE::Face< GI >::area | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## boundary()

template<class GI>

bool Opm::GIE::Face< GI >::boundary | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## boundaryId()

template<class GI>

int Opm::GIE::Face< GI >::boundaryId | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## cell()

template<class GI>

Cell Opm::GIE::Face< GI >::cell | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## cellIndex()

template<class GI>

Index Opm::GIE::Face< GI >::cellIndex | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## centroid()

template<class GI>

Vector Opm::GIE::Face< GI >::centroid | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## index()

template<class GI>

Index Opm::GIE::Face< GI >::index | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## localIndex()

template<class GI>

Index Opm::GIE::Face< GI >::localIndex | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## neighbourCell()

template<class GI>

Cell Opm::GIE::Face< GI >::neighbourCell | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## neighbourCellIndex()

template<class GI>

Index Opm::GIE::Face< GI >::neighbourCellIndex | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## neighbourCellVolume()

template<class GI>

Scalar Opm::GIE::Face< GI >::neighbourCellVolume | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## normal()

template<class GI>

Vector Opm::GIE::Face< GI >::normal | ( |  | ) | const

inline

Todo
  Doc me!

Returns

The documentation for this class was generated from the following file:

- opm/porsol/common/GridInterfaceEuler.hpp